Skip to main content
GET
/
v1
/
environments
List Organization Environments
curl --request GET \
  --url https://api.retab.com/v1/environments \
  --header 'Api-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "is_default": false,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "list_metadata": {
    "before": "<string>",
    "after": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

List the active environments available to the current organization.
Python
from retab import Retab

client = Retab()

environments = client.environments.list_environments()
for environment in environments.environments or []:
    print(environment.name)
TypeScript
import { Retab } from "@retab/node";

const client = new Retab({ apiKey: process.env.RETAB_API_KEY });

const environments = await client.environments.list_environments();
for (const environment of environments.environments ?? []) {
  console.log(environment.name);
}
Go
package main

import (
	"context"
	"fmt"
	"log"

	retab "github.com/retab-dev/retab/clients/go"
)

func main() {
	client, err := retab.NewClient("")
	if err != nil {
		log.Fatal(err)
	}

	environments, err := client.Environments.List(context.Background())
	if err != nil {
		log.Fatal(err)
	}

	for _, environment := range environments.Environments {
		fmt.Println(environment.Name)
	}
}
Java
import com.retab.RetabClient;

public final class Example {
  public static void main(String[] args) throws Exception {
    RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));

    var environments = client.environments().list();
    for (var environment : environments.getEnvironments()) {
      System.out.println(environment.getName());
    }
  }
}
cURL
curl -X GET 'https://api.retab.com/v1/environments' \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Query Parameters

before
string | null
after
string | null
limit
integer
default:100
Required range: 1 <= x <= 500

Response

Successful Response

data
Environment · object[]
list_metadata
ListMetadata · object

Boundary resource IDs for page navigation.